import { Button } from "@mui/material";
import style from "./style.module.css";
import { Link } from "react-router-dom";
import React from "react";

interface Props {
  isSignIn: boolean;
  onOpenSignIn: () => void;
  className?: string;
}

export function HomeMenu(props: Props) {
  return (
    <div className={props.className}>
      <Button className={style.text}>定价</Button>
      {props.isSignIn ? (
        <Link className={style.text} to={`/dashboard`}>
          <Button className={style.text}>文件列表</Button>
        </Link>
      ) : (
        <Button className={style.text} onClick={props.onOpenSignIn}>
          注册 / 登录
        </Button>
      )}
    </div>
  );
}
